# Function parseLegacyRelation

- parseLegacyRelation(type, relation, parentTbl): never[] | {
  path: {
  inboundKey: string;
  table: string;
  }[];
  type: RelationType;
  } | {
  path: {
  table: string;
  }[];
  type: RelationType;
  } | {
  path: {
  fkey: string;
  }[];
  type: RelationType;
  }

- #### Parameters

  - ##### type: any

  - ##### relation: string

  - ##### parentTbl: string

  #### Returns never[] | {
  path: {
  inboundKey: string;
  table: string;
  }[];
  type: RelationType;
  } | {
  path: {
  table: string;
  }[];
  type: RelationType;
  } | {
  path: {
  fkey: string;
  }[];
  type: RelationType;
  }

  - Defined in common-code/relations/relation_helpers.ts:66

Generated using TypeDoc